#include <bits/stdc++.h>

using namespace std;
#define ios     ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
#define ll long long
ll total_ans = 7e18;
ll ans = 1;
char ans_type = 'V';
ll n, m;

ll all_v;
ll S;

bool makeV(ll mid) {
    --mid;
    ll ls = S * mid + n * (mid * (mid - 1) / 2);
    ll rs = all_v - ls;
    if (abs(ls - rs) < total_ans) {
        total_ans = abs(ls - rs);
        ans_type = 'V';
        ans = mid + 1;
    }
    return ls < rs;
}

bool makeH(ll mid) {
    --mid;
    ll ls = (m * mid) * (m * mid + 1) / 2;
    ll rs = all_v - ls;
    if (abs(ls - rs) < total_ans) {
        total_ans = abs(ls - rs);
        ans_type = 'H';
        ans = mid + 1;
    }
    return ls < rs;
}

void solve() {
    int t;
    cin >> t;
    while (t--) {
        cin >> n >> m;
        ll l = 0;
        ll r = m + 1;
        ans = 1;
        total_ans = 7e18;
        ans_type = 'V';
        S = (2 + (n - 1) * m) * (n / 2);
        if (n % 2 == 1)
            S += (2 + (n - 1) * m) / 2;
        all_v = (n * m) * (n * m + 1) / 2;
        while (l + 1 < r) {
            ll mid = (l + r) >> 1;
            makeV(mid);
            if (makeV(mid))
                l = mid;
            else r = mid;
        }
        makeV(l);
        makeV(r);
        l = 0;
        r = n + 1;
        while (l + 1 < r) {
            ll mid = (l + r) / 2;
            if (makeH(mid))
                l = mid;
            else r = mid;
        }
        makeH(l);
        makeH(r);
        cout << ans_type << " " << ans << '\n';

    }
}

int main() {
    ios;
    solve();
    return 0;
}
